/*----- Header -----*/

.header {
  border-bottom: 5px solid #763078;
  background: #fff;
  align-content: center;
  height: 95px;
}

.top-logo {
  display: flex;
  margin-left: -10px;
  margin-right: -10px;
  max-width: 40%;
  align-items: center;
}

.top-logo>a {
  padding-left: 10px;
  padding-right: 10px;
  margin: 0;
}

.top-logo .logo-space {
  display: block;
  margin-top: 6px;
}

.top-logo>a>h1 {
  font-size: 14px;
  font-weight: 500;
  line-height: 1.5;
  color: #535353;
}

.top-logo>a>h1:hover {
  color: #763078;
}

.top-logo a img {
  width: auto;
  max-height: 69px;
}

.divider {
  border-top: 1px solid #ccced0;
  border-bottom: 1px solid #fff;
  margin: 0 auto;
  opacity: 0.5;
}

@media(min-width:767px) {
  .header-inner {
    display: flex;
    align-items: center;
    justify-content: space-around;
  }
}

@media(max-width:1024px) {
  .header {
    padding: 20px 0;
  }

  .header>div {
    width: 100%;
    max-width: 100%;
    margin-left: auto;
    margin-right: auto;
    padding-left: 16px;
    padding-right: 16px;
  }
}

@media(max-width:991px) {
  .top-logo a img {
    max-height: 42px;
  }
}

@media(max-width:767px) {
  .header {
    border-bottom: 3px solid #763078;
  }

  .top-logo {
    justify-content: flex-start;
    margin-left: -10px;
    margin-right: -10px;
  }

  .top-logo>a {
    padding-left: 10px;
    padding-right: 10px;
  }
}

/*- Nav -*/
@media(min-width:992px) {
  .nav-top>ul {
    display: flex;
  }

  .nav-top ul li {
    position: relative;
  }

  .nav-top ul li ul {
    background: #f3f3f3;
    position: absolute;
    width: 240px;
    top: 40px;
    left: 20px;
    box-shadow: 1px 2px 7px #202020;
    display: none;
    z-index: 22;
  }

  .nav-top ul li:last-child ul {
    right: 0;
  }

  .nav-top {
    display: block !important;
  }
}

.nav-top {
  margin-right: 0;
}

.nav-top ul li a {
  color: #333;
  font-weight: 700;
  padding: 5px 20px;
}

.nav-top ul li a:hover {
  color: #763078;
}

.nav-top ul ul li {
  display: block;
  width: 100%;
}

.nav-top>ul>li:last-child a {
  padding-right: 0;
}

.nav-top ul ul li a {
  font-weight: 400;
  color: #202020;
  padding: 16px 16px 16px 24px;
  display: block;
}

.nav-toggle::after {
  content: "";
  width: 12px;
  height: 12px;
  background: url(../img/icons/icon_down_arrow.svg) no-repeat center center;
  display: inline-block;
  transition: all ease 0.2s;
  margin-left: 10px;
}

.nav-toggle.active::after {
  transform: rotate(0.5turn);
  transition: all ease 0.2s;
}

.mypage-mb {
  position: relative;
}

.mypage-mb ul {
  background: #fff;
  position: absolute;
  width: 100px;
  top: 50px;
  box-shadow: 1px 2px 7px #bbbbbb;
  padding: 5px 0;
  display: none;
  z-index: 22;
}

.mypage-mb ul li {
  display: block;
  width: 100%;
  padding: 7px 10px;
}

.mypage-mb ul li a {
  color: #333;
}

.header-m {
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.header-m>a {
  display: block;
  margin-right: 0;
  text-align: center;
}

.mypage-mb {
  margin-right: 15px;
}

.menu-mb span,
.mypage-mb span {
  color: #535353;
  font-size: 12px;
  text-align: center;
  display: block;
  margin-top: 3px;
  font-weight: 500;
}

.menu-mb img,
.mypage-mb img {
  display: block;
  margin: 0 auto;
  width: 20px;
  height: auto;
}

.mypage-mb .nav-toggle::after {
  content: inherit;
}

.icon-cm:before {
  content: "";
  width: 24px;
  height: 24px;
  display: inline-block;
  margin-right: 5px;
  margin-top: -3px;
  vertical-align: middle;
}

.icon-home:before,
.icon-routes:before,
.icon-deals:before,
.icon-help:before,
.icon-about:before,
.icon-bookings:before {
  display: none;
}

.icon-member:before {
  background: url(../img/icons/icon_account.svg) no-repeat;
  background-size: 100%;
}

@media(min-width:992px) {
  .nav-mobile {
    display: none;
  }

  .header-inner {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
}

@media(max-width:1264px) {
  .nav-top ul li a {
    padding: 5px 10px;
  }
}

@media (max-width:1024px) {
  .nav-top ul li a {
    padding: 5px 10px;
  }
}

@media (max-width:991px) {

  .icon-home:before {
    background: url(../img/icons/icon_home.svg) no-repeat;
    background-size: 100%;
    display: inline-block
  }

  .icon-routes:before {
    background: url(../img/icons/icon_routes.svg) no-repeat;
    background-size: 100%;
    display: inline-block;
  }

  .icon-deals:before {
    background: url(../img/icons/icon_deals.svg) no-repeat;
    background-size: 100%;
    display: inline-block;
  }

  .icon-help:before {
    background: url(../img/icons/icon_info.svg) no-repeat;
    background-size: 100%;
    display: inline-block;
  }

  .icon-about:before {
    background: url(../img/icons/icon_bus_black.svg) no-repeat;
    background-size: 100%;
    display: inline-block;
  }

  .icon-bookings:before {
    background: url(../img/icons/icon_booking.svg) no-repeat;
    background-size: 100%;
    display: inline-block;
  }

  .top-logo {
    margin-left: -7px;
    margin-right: -7px;
  }

  .top-logo>a {
    padding-left: 7px;
    padding-right: 7px;
  }

  .top-logo>a>h1 {
    font-size: 12px !important;
  }

  .top-logo .logo-space {
    margin-top: 4px;
  }

    .nav-top ul li a,
    .selectd__lang {
    font-size: 16px;
    display: block;
    width: 100%;
    padding: 20px 24px;
    color: #202020;
    font-weight: 700;
  }

    .selectd__lang {
        width: 200px !important;
    }

    #switchLanguage {
        width: 100% !important;
        text-align: center;
        height: 36px !important;
    }

  .nav-top>ul>li:first-child {
    padding-top: 8px;
  }

  .header {
    border-bottom: 3px solid #763078;
    display: flex;
    align-items: center;
    position: relative;
    z-index: 100;
    height: 56px;
  }

  .nav-mobile {
    display: block;
    margin-right: 0;
  }

  .nav-top {
    display: none;
  }

  .top-logo {
    max-width: 65%;
    justify-content: flex-start;
  }

  .header-inner {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .nav-top {
    position: absolute;
    top: 56px;
    right: 0;
    width: 70%;
    background: #F3F3F3;
    z-index: 100;
    height: calc(100vh - 56px);
    transition: all ease 0.2s;
  }

  .nav-top>ul>li {
    display: block;
    width: 100%;
  }

  .icon-cm:before {
    margin-right: 20px;
  }

  .nav-sub {
    display: block !important;
  }

  .nav-top .nav-toggle::after {
    content: none;
  }

  .nav-top>ul ul li a {
    padding: 0px 68px 20px !important;
  }

  .f-content-02 p {
    margin-top: 48px !important;
    font-weight: 400;
    color: #c3c3c3 !important;
  }

  .f-logo {
    height: 69px !important;
  }

  .logo-main-text {
    font-size: 24px !important;
  }
}

#overlay {
  display: none;
  /* Initially hidden */
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  /* Black with opacity */
  z-index: 99;
  /* Ensure it covers other content */
}

/*-----/ End Header -----*/

/*----- Footer -----*/
#backToTop {
  position: fixed;
  right: 20px;
  bottom: 30px;
  z-index: 1041;
  width: 50px;
  height: 50px;
  text-align: center;
  background: url(../img/backtotop.svg) center no-repeat;
  background-size: 100%;
  color: #fff;
  cursor: pointer;
  border: 0;
  border-radius: 50%;
  text-decoration: none;
  transform: translateY(100px);
  opacity: 0;
  pointer-events: none;
  will-change: transform, opacity;
  transition: transform 0.3s cubic-bezier(0.4, 0, 0.2, 1),
  opacity 0.3s cubic-bezier(0.4, 0, 0.2, 1);
}

#backToTop.show {
  transform: translateY(0);
  opacity: 1;
  pointer-events: auto;
}

.footer {
  overflow: hidden;
  background-color: #e6e6e6;
}

.footer a:hover {
  color: #763078;
}

.footer .logo-text {
  margin-left: 10px;
}

.logo-sub-text {
  font-size: 13px;
  line-height: 1.5;
  font-weight: 500;
  color: #9b9b9b;
}

.logo-main-text {
  font-size: 32px;
  font-weight: 600;
  line-height: 1.2;
  color: #202020;
}

.logo-des-text {
  font-size: 13px;
  font-weight: 500;
  line-height: 1.5;
  color: #202020;
}

.f-logo {
  height: 80px;
}

.f-content-01 {
  padding: 32px 0px;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 32px;
}

.f-content-01 li a:hover {
  color: #763078 !important;
}

.f-content-01>div {
  margin: 0;
}

p.f-title {
  color: #763078;
  font-weight: 700;
}

.f-list a {
  padding: 5px 0;
  display: block;
  color: #535353;
  font-weight: 500;
}

.connect {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}

.connect li a:hover {
  opacity: 0.9;
}

.bg-black {
  background-color: #202020 !important;
}

.f-content-02 {
  text-align: center;
  color: #9b9b9b;
  padding-top: 12px;
  padding-bottom: 60px;
}

.f-content-02 p {
  font-size: 15px;
  line-height: 1.5;
  color: #c3c3c3;
  font-weight: 400;
}

.selectd__lang {
  text-align: center;
}

#switchLanguage {
  font-size: 13px;
  width: 100px;
  padding: 0 4px;
  border: 1px solid #8A8A8A;
  border-radius: 3px;
  outline: none;
  height: 28px;
  line-height: 28px;
  background: #FFF;
  appearance: menulist;
}

@media (max-width:991px) {
  /* .f-content-01 {
  margin: 0 24px;
  } */

  .f-content-01>div {
    width: 100%;
  }
}

.f-small-list {
  display: flex;
  align-items: center;
}

.f-small-list li a {
  color: #c3c3c3;
  font-size: 12px;
  padding: 0px 12px;
  display: inline-block;
  font-weight: 500;
}

.f-small-list li:first-child a {
  padding-left: 0;
}

/*-----/ End Footer -----*/

.nav-top {
  display: none;
}

.nav-top.open {
  display: block;
}

@media (min-width: 992px) {
  .nav-top {
    display: block !important;
  }

  #overlay {
    display: none !important;
  }
}

@media (min-width: 576px) and (max-width: 991px) {
  .f-item {
    display: flex;
    flex-direction: column;
    flex: 1;
  }

  .f-content-02 {
    margin: 0 24px;
  }
}